<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="
		http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.3.xsd
		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.3.xsd">

	<!-- JDBC DAO -->
	<bean id="jdbcDao" class="com.ffii.core.dao.JdbcDao">
		<property name="dataSource" ref="dataSource" />
	</bean>

	<!-- Hibernate DAOs section -->
	<context:component-scan base-package="com.ffii" resource-pattern="**/*Dao.class" />
	
	<bean id="liquibase" class="liquibase.integration.spring.SpringLiquibase">
		<property name="dataSource" ref="dataSource" />
		<property name="changeLog" value="WEB-INF/db/changelog.sql" />
	</bean>
</beans>